Bug 149835 - DISK BOOT FAILURE, INSERT SYSTEM DISK AND PRESS ENTER
DISK BOOT FAILURE, INSERT SYSTEM DISK AND PRESS ENTER
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
http://dowload.atrpms.net/mirrors/fed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 01:36 EST by Roger Lin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 09:50:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roger Lin 2005-02-28 01:36:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322)

Description of problem:
Install completed successfully, but when restart the machine, after 
several minutes got error message disk boot failure, insert system 
disk and press enter.

MB KT600-A, CPU AMD Sempron 2400+, PC3200 memory 512 mb. WD 80 GB IDE 
drive.

Windows XP installed and runs as good as it can. No problem at all. 
Win XP was on a seperate SATA drive. Tried twice, either manual 
partition or auto partition all failed with the same error at reboot.

Version-Release number of selected component (if applicable):
grub-0.95-3.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Get dvd iso file from 
http://dowload.atrpms.net/mirrors/fedoracore/3/i386/iso/FC3-i386-
DVD.iso
2. Burn it using deepburner, checked out fine.
3. Install on AMD Sempron 2400+ with KT600-A MB, WD 80 GB drive, it 
completed successfully, at reboot failed with disk boot failure.
    

Actual Results:  Won't boot up after install completed.

Expected Results:  Should boot up.

Additional info:
Comment 1 Roger Lin 2005-03-01 00:12:54 EST
Tied to reinstall the grub:

# chroot /mnt/sysimage
# grub-install /dev/hda

Installation finished. No error reported.
This is the content of the device map /boot/grub/device.map.
Check if this is correct or not. If any of the lines is incorrect, 
fix it and re-run the script 'grub-install'.

# this device map was generated by anaconda
(fd0)  /dev/fd0
(hd0)  /dev/hda

I have no idea if this right or wrong, so I try to reboot the system, 
same thing, here is the last 3 lines on the screen after a few
minutes:

Verifying DMI Pool Data ..............
Boot from CD :
DISK BOOT FAILURE, INSERT SYSTEM DISK AND PRESS ENTER



Comment 2 Peter Jones 2005-03-07 17:55:07 EST
This means the BIOS isn't trying to boot the hard drive.  There are two
possibilities -- either the drive isn't in the BIOS's boot list, or the MBR
and/or partition aren't flagged as bootable.

Do you still have the SATA controller enabled?  If you do, it's almost certainly
the former of the two problems.  Your BIOS can likely only set drives on one
controller or the other to be bootable , or possibly it's simply not set up to
do so.
Comment 3 Peter Jones 2005-03-08 09:50:46 EST
Use confirmed BIOS problem in private email.  Closing.

Note You need to log in before you can comment on or make changes to this bug.